// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently,
// but are changed infrequently
#ifndef UNDER_CE
	#pragma once

	#ifndef _SECURE_ATL
	#define _SECURE_ATL 1
	#endif

	#ifndef VC_EXTRALEAN
	#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
	#endif

	// Modify the following defines if you have to target a platform prior to the ones specified below.
	// Refer to MSDN for the latest info on corresponding values for different platforms.
	#ifndef WINVER				// Allow use of features specific to Windows XP or later.
	#define WINVER 0x0501		// Change this to the appropriate value to target other versions of Windows.
	#endif

	#ifndef _WIN32_WINNT		// Allow use of features specific to Windows XP or later.                   
	#define _WIN32_WINNT 0x0501	// Change this to the appropriate value to target other versions of Windows.
	#endif						

	#ifndef _WIN32_WINDOWS		// Allow use of features specific to Windows 98 or later.
	#define _WIN32_WINDOWS 0x0410 // Change this to the appropriate value to target Windows Me or later.
	#endif

	#ifndef _WIN32_IE			// Allow use of features specific to IE 6.0 or later.
	#define _WIN32_IE 0x0600	// Change this to the appropriate value to target other versions of IE.
	#endif

	#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS	// some CString constructors will be explicit

	// turns off MFC's hiding of some common and often safely ignored warning messages
	#define _AFX_ALL_WARNINGS

	#include <afxwin.h>         // MFC core and standard components
	#include <afxext.h>         // MFC extensions


	#include <afxdisp.h>        // MFC Automation classes



	#ifndef _AFX_NO_OLE_SUPPORT
	#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
	#endif
	#ifndef _AFX_NO_AFXCMN_SUPPORT
	#include <afxcmn.h>			// MFC support for Windows Common Controls
	#endif // _AFX_NO_AFXCMN_SUPPORT

	#ifdef _UNICODE
	#if defined _M_IX86
	#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*'\"")
	#elif defined _M_IA64
	#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='ia64' publicKeyToken='6595b64144ccf1df' language='*'\"")
	#elif defined _M_X64
	#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*'\"")
	#else
	#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='*' publicKeyToken='6595b64144ccf1df' language='*'\"")
	#endif
	#endif

#else	// UNDER_CE
	#pragma once

	#pragma comment(linker, "/nodefaultlib:libc.lib")
	#pragma comment(linker, "/nodefaultlib:libcd.lib")

	// NOTE - this is value is not strongly correlated to the Windows CE OS version being targeted
	#define WINVER _WIN32_WCE

	#ifndef VC_EXTRALEAN
	#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
	#endif

	#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS	// some CString constructors will be explicit
	#ifdef _CE_DCOM
	#define _ATL_APARTMENT_THREADED
	#endif

	// turns off MFC's hiding of some common and often safely ignored warning messages
	#define _AFX_ALL_WARNINGS

	#include <ceconfig.h>
	#if defined(WIN32_PLATFORM_PSPC) || defined(WIN32_PLATFORM_WFSP)
	#define SHELL_AYGSHELL
	#endif

	#include <afxwin.h>         // MFC core and standard components
	#include <afxext.h>         // MFC extensions

	#ifndef _AFX_NO_OLE_SUPPORT
	#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
	#endif



	#ifndef _AFX_NO_AFXCMN_SUPPORT
	#include <afxcmn.h>			// MFC support for Windows Common Controls
	#endif // _AFX_NO_AFXCMN_SUPPORT



	#if defined(WIN32_PLATFORM_PSPC) || defined(WIN32_PLATFORM_WFSP)
	#ifndef _DEVICE_RESOLUTION_AWARE
	#define _DEVICE_RESOLUTION_AWARE
	#endif
	#endif

	#ifdef _DEVICE_RESOLUTION_AWARE
	#include "DeviceResolutionAware.h"
	#endif

	#ifdef SHELL_AYGSHELL
	#include <aygshell.h>
	#pragma comment(lib, "aygshell.lib") 
	#endif // SHELL_AYGSHELL

	#if (_WIN32_WCE < 0x500) && ( defined(WIN32_PLATFORM_PSPC) || defined(WIN32_PLATFORM_WFSP) )
	#pragma comment(lib, "ccrtrtti.lib")
	#ifdef _X86_	
	#if defined(_DEBUG)
	#pragma comment(lib, "libcmtx86d.lib")
	#else
	#pragma comment(lib, "libcmtx86.lib")
	#endif
	#endif
	#endif

#endif	// UNDER_CE
